Vulnerability   
Search   
    Search 211766 CVE descriptions
and 97459 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.130020
Category:Mageia Linux Local Security Checks
Title:Mageia Linux Local Check: mgasa-2015-0371
Summary:Mageia Linux Local Security Checks mgasa-2015-0371
Description:Summary:
Mageia Linux Local Security Checks mgasa-2015-0371

Vulnerability Insight:
Updated php-ZendFramework and php-ZendFramework2 packages fix security vulnerability: Dawid Golunski discovered that when running under PHP-FPM in a threaded environment, Zend Framework, a PHP framework, did not properly handle XML data in multibyte encoding. This could be used by remote attackers to perform an XML External Entity attack via crafted XML data (CVE-2015-5161).

Solution:
Update the affected packages to the latest available version.

CVSS Score:
6.8

CVSS Vector:
AV:N/AC:M/Au:N/C:P/I:P/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2015-5161
BugTraq ID: 76177
http://www.securityfocus.com/bid/76177
Debian Security Information: DSA-3340 (Google Search)
http://www.debian.org/security/2015/dsa-3340
https://www.exploit-db.com/exploits/37765/
http://lists.fedoraproject.org/pipermail/package-announce/2015-August/164409.html
http://lists.fedoraproject.org/pipermail/package-announce/2015-August/165173.html
http://lists.fedoraproject.org/pipermail/package-announce/2015-August/165147.html
http://seclists.org/fulldisclosure/2015/Aug/46
http://legalhackers.com/advisories/zend-framework-XXE-vuln.txt
http://packetstormsecurity.com/files/133068/Zend-Framework-2.4.2-1.12.13-XXE-Injection.html
CopyrightCopyright (C) 2015 Eero Volotinen

This is only one of 97459 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.